<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <RootNamespace>user_rtx</RootNamespace>
    <LangVersion>10.0</LangVersion>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>TRACE;URTX_CORE</DefineConstants>
    <DocumentationFile>user_rtx.core.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>TRACE;RELEASE;URTX_CORE</DefineConstants>
    <DocumentationFile>user_rtx.core.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="System.Configuration.ConfigurationManager" Version="6.0.0" />
    <PackageReference Include="System.Runtime.CompilerServices.Unsafe" Version="6.0.0" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="*.cmd" />
    <None Remove="*.bak" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="..\user_rtx.core.rc\[plus_rc]\XmlConfigurationBase.Designer.cs" Link="resources\XmlConfigurationBase.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>XmlConfigurationBase.resx</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="..\user_rtx.core.rc\[plus_rc]\XmlConfigurationBase.resx" Link="resources\XmlConfigurationBase.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>XmlConfigurationBase.Designer.cs</LastGenOutput>
      <CustomToolNamespace>user_rtx.rc</CustomToolNamespace>
    </EmbeddedResource>
  </ItemGroup>

</Project>
